#!/bin/ash
RELEASE=0.9
TMP=/tmp/tmp.$LOGNAME
########################### The user customizeable area starts here ###########
BBSNAME="Ordi's BulletinBoardSystem                                  Username: $LOGNAME"
SYSOP=chris  # that's the name which is used to talk to the SysOp
########################### End of user customizeable area ####################

download ()
{
cd $HOME/Download
dlDONE=no
while [ $dlDONE = "no" ]
do
if dialog --clear --separate-output --backtitle "$BBSNAME" --title "Download area" --checklist "Choose some files..." 20 78 14 \
    `find -type f -printf "%p %kKB off \n"|sort` 2> $TMP;
    then
        # clear
	sz -v `cat $TMP` 2>> /tmp/downloaded.$LOGNAME
	# less $TMP
	# more `cat $TMP`
        rm $TMP
    else 
	dlDONE=yes
    fi;    
    #| awk '{ printf ("%s %s.%s-%s-(%dByte)\n",$9,$7,$6,$8,$5) }'`
done
}    

upload ()
{
    c=
    cd $HOME/Upload
    clear
    if dialog --clear --backtitle "$BBSNAME" --title "Upload area" --yesno \
	"!!! ATTENTION !!! \n\nDo you really want to upload files?\n \
	If you do not want to do so, you should choose No !!" 10 75
    then
	if dialog --clear --backtitle "$BBSNAME" --title "Upload area" --yesno \
	    "!!! ATTENTION !!! \n\nShould existing files be overwritten?\n" 9 45
        then 
	    c=-y
	fi;
    else
	return
    fi;
    rz -v $c 2>> /tmp/received_files.$LOGNAME
}
    

talk_to_sysop ()
{
    clear
    if [ `who | grep $SYSOP` -eq $NULL ]; then 
	dialog --clear --backtitle "$BBSNAME" --title "Talk to $SYSOP" --msgbox "Sorry, but the SysOp is currently not logged in, so you cannot talk to him..." 6 70;
    else
        talk $SYSOP
    fi;
}

mail_to_sysop ()
{
    if dialog --clear --backtitle "$BBSNAME" --title "Mail to $SYSOP" --mlinput "Text" 19 75 100 2>/tmp/mail.$LOGNAME
    then
	cat /tmp/mail.$LOGNAME | sendmail $SYSOP
    fi;
    rm /tmp/mail.$LOGNAME
}

about()
{
    dialog --clear --backtitle "$BBSNAME" --title "About" --msgbox "MiniBBS Rel.: $RELEASE \n-----------------\n\nThis program is still under construction!\nIf you have any wishes or suggestions feel free to mail them to me.\n\n(C) Copyright 1998 by Christian Ordig \neMail: Chr.Ordig@gmx.net" 12 70
}


mainmenu()
{
mainDONE=no
while [ $mainDONE = "no" ]
do
if dialog --clear --backtitle "$BBSNAME" --title "Hauptmenu" --menu "Waehlen"  13 30 6\
    1 "Download" \
    2 "Upload" \
    3 "About" \
    4 "Talk to the SysOp" \
    5 "Send mail to SysOp" \
    6 "Quit" 2> $TMP;
    then
	ans=`cat $TMP`
	if [ $ans -eq 1 ]; then download; fi;
	if [ $ans -eq 2 ]; then upload; fi;
	if [ $ans -eq 3 ]; then about; fi;
	if [ $ans -eq 4 ]; then talk_to_sysop; fi;
	if [ $ans -eq 5 ]; then mail_to_sysop; fi;
	if [ $ans -eq 6 ]; then mainDONE=yes; fi;
    else
	mainDONE=yes
    fi;
done
rm $TMP
}

mainmenu
